mbedtls_ssl_flight_item Struct Reference

`#include <ssl_internal.h>`

Collaboration diagram for mbedtls_ssl_flight_item:
[legend]

## Data Fields

unsigned char * | p
size_t | len
unsigned char | type
mbedtls_ssl_flight_item * | next

## Detailed Description

Definition at line 324 of file ssl_internal.h.

## Field Documentation

size_t mbedtls_ssl_flight_item::len

length of p

Definition at line 327 of file ssl_internal.h.

mbedtls_ssl_flight_item* mbedtls_ssl_flight_item::next

next handshake message(s)

Definition at line 329 of file ssl_internal.h.

unsigned char* mbedtls_ssl_flight_item::p

message, including handshake headers

Definition at line 326 of file ssl_internal.h.

unsigned char mbedtls_ssl_flight_item::type

type of the message: handshake or CCS

Definition at line 328 of file ssl_internal.h.

The documentation for this struct was generated from the following file:

- ssl_internal.h